"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PageScrollView = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const PageScrollView = ({ backgroundColor, contentContainerStyle, children, viewStyle, ...rest }) => {
    return (react_1.default.createElement(react_native_1.ScrollView, { overScrollMode: 'never', bounces: false, keyboardShouldPersistTaps: 'handled', contentContainerStyle: [
            styles.container,
            contentContainerStyle,
        ], ...rest },
        react_1.default.createElement(react_native_1.View, { style: [styles.view, viewStyle, !!backgroundColor && { backgroundColor }] }, children)));
};
exports.PageScrollView = PageScrollView;
const styles = react_native_1.StyleSheet.create({
    container: {
        // https://github.com/facebook/react-native/issues/4099#issuecomment-307541206
        // If using flex: 1, the screen would fill everything as intended, but the scroll
        // wouldn't work.
        flexGrow: 1,
    },
    view: {
        flex: 1,
    },
});
//# sourceMappingURL=index.js.map